=== debian/changelog ===
qtkeychain (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update d/watch to work with current github page.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Update installation path for trnaslations.
  * Update docs paths.
  * Update standards version to 4.6.0, no changes needed.

 -- Sandro Knauß <hefee@debian.org>  Sun, 19 Sep 2021 23:57:53 +0200
