=== debian/changelog ===
qtkeychain (0.13.2-5) unstable; urgency=medium

  * Build without Qt6 for archs without Qt6 support yet.
    Thanks to Rick Mills <rickmills@kde.org> (Closes: 1007743)

 -- Sandro Knauß <hefee@debian.org>  Fri, 18 Mar 2022 20:13:39 +0100

qtkeychain (0.13.2-4) unstable; urgency=medium

  * Add qt5keychain-dev as transitinal package.

 -- Sandro Knauß <hefee@debian.org>  Fri, 25 Feb 2022 20:25:01 +0100

qtkeychain (0.13.2-3) unstable; urgency=medium

  * Install qt6 pri file correctly under /usr/share/qt6.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 24 Feb 2022 14:05:01 +0100

qtkeychain (0.13.2-2) unstable; urgency=medium

  [ Lu YaNing ]
  * Add qtbase5-private-dev qt6-tools-dev qt6-tools-dev-tools
   B-Ds.
  * Add libgcrypt20-dev and qt6-l10n-tools B-Ds.

  [ Sandro Knauß ]
  * Enable Qt5 & Qt6 build.
  * Fail build, if not everything is packaged.
  * Add Qt6 packages:
    - Rename qt5keychain-dev -> qtkeychain-qt5-dev because of consistency.
    - Add libqt6keychain1
    - Add qtkeychain-qt6-dev
    - Provides qt5keychain-dev by qtkeychain-qt5-dev.
  * Add symbols for libqt6keychain1.
  * Add and update Build-Depends-Package for all symbols files.

 -- Sandro Knauß <hefee@debian.org>  Wed, 23 Feb 2022 11:08:41 +0100

qtkeychain (0.13.2-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream applied patch.
  * Update copyright file.

 -- Sandro Knauß <hefee@debian.org>  Mon, 21 Feb 2022 17:39:25 +0100
