=== debian/control ===
--- 
+++ 
@@ -4,11 +4,17 @@
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
+               libgcrypt20-dev,
                libsecret-1-dev,
                pkg-config,
                pkg-kde-tools,
+               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64],
+               qtbase5-private-dev,
                qttools5-dev,
-               qttools5-dev-tools
+               qttools5-dev-tools,
 Rules-Requires-Root: no
 Standards-Version: 4.6.0
 Section: libs
@@ -29,13 +35,36 @@
  If none of them is available, qtkeychain will report an error or writes
  with explicit request the password unencrypted at a file.
  .
- This is the Version built for QT5
+ This is the Version built for QT5.
+
+Package: libqt6keychain1
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Recommends: gnome-keyring | kwalletmanager
+Description: Qt API to store passwords (QT6 version)
+ It can use KWallet or GNOME Keyring, if one of them is available.
+ If none of them is available, qtkeychain will report an error or writes
+ with explicit request the password unencrypted at a file.
+ .
+ This is the Version built for QT6.
 
 Package: qt5keychain-dev
+Section: oldlibs
+Architecture: all
+Depends: qtkeychain-qt5-dev, ${misc:Depends}
+Description: transitional package
+ This is a transitional package. It can safely be removed.
+
+Package: qtkeychain-qt5-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
+Provides: qt5keychain-dev
+Breaks: qt5keychain-dev (<< 0.13.2-3~)
+Replaces: qt5keychain-dev (<< 0.13.2-3~)
 Description: Development files for qtkeychain (QT5 version)
  A Qt API to store passwords
  .
@@ -43,4 +72,18 @@
  If none of them is available, qtkeychain will report an error or writes
  with explicit request the password unencrypted at a file.
  .
- This is the Version built for QT5
+ This is the Version built for QT5.
+
+Package: qtkeychain-qt6-dev
+Section: libdevel
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64
+Multi-Arch: same
+Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
+Description: Development files for qtkeychain (QT6 version)
+ A Qt API to store passwords
+ .
+ It can use KWallet or GNOME Keyring, if one of them is available.
+ If none of them is available, qtkeychain will report an error or writes
+ with explicit request the password unencrypted at a file.
+ .
+ This is the Version built for QT6.
