=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export DEB_CXXFLAGS_MAINT_APPEND = -fvisibility=hidden -fvisibility-inlines-hidden
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with kde --with pkgkde_symbolshelper

ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64))
override_dh_auto_clean:
	dh_auto_clean
	rm -rf build-Qt6

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_WITH_QT6=OFF
	dh_auto_configure --builddirectory=build-Qt6  -- -DBUILD_WITH_QT6=ON \
		-DECM_MKSPECS_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH)/qt6/mkspecs/modules

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-Qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-Qt6
endif
