## qtkeychain 0.14.1

=== debian/changelog ===
qtkeychain (0.14.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * Move under the Qt/KDE mantainers umbrella.
  * Bump Standards-Version to 4.6.2 (No changes needed).
  * New upstream release (0.14.1).
  * Update Vcs links.
  * Update copyright for 0.14.1.
  * Update symbols from buildds for 0.13.2.
  * Update symbols from build for 0.14.1.

 -- Sandro Knauß <hefee@debian.org>  Wed, 28 Jun 2023 00:11:18 +0200
