=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: qtkeychain
 Priority: optional
-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
@@ -16,11 +16,11 @@
                qttools5-dev,
                qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
-Vcs-Git: https://salsa.debian.org/owncloud-team/qtkeychain.git
-Vcs-Browser: https://salsa.debian.org/owncloud-team/qtkeychain
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtkeychain
 
 Package: libqt5keychain1
 Architecture: any
