## qtkeychain 0.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(QTKEYCHAIN_VERSION 0.13.2)
+set(QTKEYCHAIN_VERSION 0.14.2)
 set(QTKEYCHAIN_SOVERSION 1)
 
 project(qtkeychain VERSION ${QTKEYCHAIN_VERSION} LANGUAGES CXX)
@@ -18,6 +18,7 @@
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMGeneratePriFile)
+include(CMakeDependentOption)
 
 option(BUILD_WITH_QT6 "Build qtkeychain with Qt 6" OFF)
 option(BUILD_TEST_APPLICATION "Build test application" OFF)
@@ -27,6 +28,8 @@
     set(BUILD_SHARED_LIBS OFF)
     message(WARNING "QTKEYCHAIN_STATIC is deprecated. Use BUILD_SHARED_LIBS=OFF instead.")
 endif()
+CMAKE_DEPENDENT_OPTION(BUILD_TRANSLATIONS_AS_RESOURCES "Bundle translations with the library" OFF
+                       "BUILD_TRANSLATIONS" OFF)
 
 if(CMAKE_SYSTEM_NAME STREQUAL Android)
     set(ANDROID 1)
@@ -91,11 +94,6 @@
   find_package(Qt6 COMPONENTS Core REQUIRED)
   set(QTKEYCHAIN_VERSION_INFIX 6)
 
-  if(ANDROID)
-    find_package(Qt6 COMPONENTS AndroidExtras REQUIRED)
-    include_directories(${Qt6AndroidExtras_INCLUDE_DIRS})
-    set(QTANDROIDEXTRAS_LIBRARIES ${Qt6AndroidExtras_LIBRARIES})
-  endif()
 
   if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
     find_package(Qt6 COMPONENTS DBus REQUIRED)
@@ -217,18 +215,28 @@
     # https://github.com/frankosterfeld/qtkeychain/issues/185
     add_dependencies(${QTKEYCHAIN_TARGET_NAME} translations)
 
-    if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
-        # Back compatibility with pre-0.11 versions
-        message (WARNING "QT_TRANSLATIONS_DIR is deprecated, use QTKEYCHAIN_TRANSLATIONS_DIR instead")
-        set(QTKEYCHAIN_TRANSLATIONS_DIR ${QT_TRANSLATIONS_DIR}
-            CACHE PATH "The location of the QtKeychain translations" FORCE)
+    if (BUILD_TRANSLATIONS_AS_RESOURCES)
+        set(QM_FILE_LIST "")
+        foreach(FILE ${qtkeychain_QM_FILES})
+            list(APPEND QM_FILE_LIST "<file>${FILE}</file>")
+        endforeach()
+        string(REPLACE ";" "" QM_FILE_LIST ${QM_FILE_LIST})
+        configure_file(${CMAKE_CURRENT_SOURCE_DIR}/translations/translations.qrc.in ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
+        target_sources(${QTKEYCHAIN_TARGET_NAME} PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/translations.qrc)
     else()
-        set(QTKEYCHAIN_TRANSLATIONS_DIR
-            ${CMAKE_INSTALL_DATADIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/translations
-            CACHE PATH "The location of the QtKeychain translations" )
-    endif()
-
-    install(FILES ${qtkeychain_QM_FILES} DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
+        if(QTKEYCHAIN_VERSION_INFIX EQUAL 5 AND QT_TRANSLATIONS_DIR AND NOT QTKEYCHAIN_TRANSLATIONS_DIR)
+            # Back compatibility with pre-0.11 versions
+            message (WARNING "QT_TRANSLATIONS_DIR is deprecated, use QTKEYCHAIN_TRANSLATIONS_DIR instead")
+            set(QTKEYCHAIN_TRANSLATIONS_DIR ${QT_TRANSLATIONS_DIR}
+                CACHE PATH "The location of the QtKeychain translations" FORCE)
+        else()
+            set(QTKEYCHAIN_TRANSLATIONS_DIR
+                ${CMAKE_INSTALL_DATADIR}/qt${QTKEYCHAIN_VERSION_INFIX}keychain/translations
+                CACHE PATH "The location of the QtKeychain translations" )
+        endif()
+
+        install(FILES ${qtkeychain_QM_FILES} DESTINATION ${QTKEYCHAIN_TRANSLATIONS_DIR})
+    endif()
 endif( BUILD_TRANSLATIONS )
 
 target_link_libraries(${QTKEYCHAIN_TARGET_NAME} PUBLIC ${qtkeychain_LIBRARIES} PRIVATE ${qtkeychain_LIBRARIES_PRIVATE})
@@ -266,8 +274,22 @@
 )
 
 if(BUILD_TEST_APPLICATION)
+    set( testclient_LIBRARIES ${QTKEYCHAIN_TARGET_NAME} )
+
+    if(APPLE)
+        list(APPEND testclient_LIBRARIES "-framework Cocoa")
+
+        if (BUILD_WITH_QT6)
+            find_package(Qt6 COMPONENTS Gui REQUIRED)
+            list(APPEND testclient_LIBRARIES Qt6::Gui)
+        else()
+            find_package(Qt5 COMPONENTS Gui REQUIRED)
+            list(APPEND testclient_LIBRARIES Qt5::Gui)
+        endif()
+
+    endif()
     add_executable( testclient testclient.cpp )
-    target_link_libraries( testclient ${QTKEYCHAIN_TARGET_NAME})
+    target_link_libraries( testclient ${testclient_LIBRARIES})
 endif()
