=== debian/changelog ===
qtkeychain (0.14.2-1build5) noble; urgency=medium

  * No-change rebuild against libqt5core5t64 and libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 15:57:53 +0100

qtkeychain (0.14.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:03:43 +0000

qtkeychain (0.14.2-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:51:06 +0000

qtkeychain (0.14.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:33:55 +0000

qtkeychain (0.14.2-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 06:47:18 +0000

qtkeychain (0.14.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make .install files for shared libraries slightly more precise.
  * Slightly improve the package descriptions.
  * Update the architectures on which the Qt 6 library is built:
    - drop mipsel, as the architecture was discontinued
    - add powerpc ppc64 sparc64 s390x, as they have qt6-tools
  * Stop installing the upstream ReadMe.md as documentation for
    libqt5keychain1, as it is not that much of use for users.

 -- Pino Toscano <pino@debian.org>  Wed, 03 Jan 2024 21:49:01 +0100
