=== debian/control ===
Source: qtkeychain
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libgcrypt20-dev,
               libsecret-1-dev,
               pkg-config,
               pkg-kde-tools,
               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
               qtbase5-private-dev,
               qttools5-dev,
               qttools5-dev-tools,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/frankosterfeld/qtkeychain
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtkeychain

Package: libqt5keychain1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Breaks: libqt5keychain0
Replaces: libqt5keychain0
Description: Qt API to store passwords (Qt 5 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: libqt6keychain1
Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: gnome-keyring | kwalletmanager
Description: Qt API to store passwords (Qt 6 version)
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.

Package: qt5keychain-dev
Section: oldlibs
Architecture: all
Depends: qtkeychain-qt5-dev, ${misc:Depends}
Description: transitional package for qtkeychain-qt5-dev
 This is a transitional package. It can safely be removed.

Package: qtkeychain-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt5keychain1 (= ${binary:Version}), ${misc:Depends}
Provides: qt5keychain-dev
Breaks: qt5keychain-dev (<< 0.13.2-3~)
Replaces: qt5keychain-dev (<< 0.13.2-3~)
Description: development files for qtkeychain (Qt 5 version)
 A Qt API to store passwords.
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 5.

Package: qtkeychain-qt6-dev
Section: libdevel
Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
Multi-Arch: same
Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
Description: development files for qtkeychain (Qt 6 version)
 A Qt API to store passwords,
 .
 It can use KWallet or GNOME Keyring, if one of them is available.
 If none of them is available, qtkeychain will report an error or writes
 with explicit request the password unencrypted at a file.
 .
 This is the version built for Qt 6.
