=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 %:
 	dh $@ --with kde --with pkgkde_symbolshelper
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el mipsel ppc64el riscv64))
+ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build-Qt6
