## qtkeychain 0.14.3

=== debian/changelog ===
qtkeychain (0.14.3-2) unstable; urgency=medium

  [ Dandan Zhang ]
  * Add support for loong64.

 -- Sandro Knauß <hefee@debian.org>  Fri, 13 Sep 2024 09:52:19 +0200

qtkeychain (0.14.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Mon, 06 May 2024 13:04:56 +0200

qtkeychain (0.14.2-2) unstable; urgency=medium

  * Team upload.
  * Stop using the kde dh addon, as there are no kdelibs 4.x bits in this
    source.
  * Use $(filter ...) in rules to find whether to build the Qt 6 library for
    the current architecture; $(findstring) wrongly matches also substrings
    of architecture strings.
  * Improve the transitional qt5keychain-dev:
    - switch to arch:any, so it is built at the same version of the Qt 5 library
    - tweak the qtkeychain-qt5-dev dependency to pull its latest version,
      so there is less risk of old versions not upgraded
  * Bump Standards-Version to 4.7.0, no changes required.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 11:11:16 +0200
