=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: qtkeychain
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libgcrypt20-dev,
                libsecret-1-dev,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
-               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-base-dev [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-l10n-tools [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-tools-dev [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
+               qt6-tools-dev-tools [amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x],
                qtbase5-private-dev,
                qttools5-dev,
                qttools5-dev-tools,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/frankosterfeld/qtkeychain
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtkeychain.git
@@ -39,7 +38,7 @@
  This is the version built for Qt 5.
 
 Package: libqt6keychain1
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -53,8 +52,8 @@
 
 Package: qt5keychain-dev
 Section: oldlibs
-Architecture: all
-Depends: qtkeychain-qt5-dev, ${misc:Depends}
+Architecture: any
+Depends: qtkeychain-qt5-dev (>= ${binary:Version}), ${misc:Depends}
 Description: transitional package for qtkeychain-qt5-dev
  This is a transitional package. It can safely be removed.
 
@@ -77,7 +76,7 @@
 
 Package: qtkeychain-qt6-dev
 Section: libdevel
-Architecture: amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
+Architecture: amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x
 Multi-Arch: same
 Depends: libqt6keychain1 (= ${binary:Version}), ${misc:Depends}
 Description: development files for qtkeychain (Qt 6 version)
