=== debian/rules ===
--- 
+++ 
@@ -10,9 +10,9 @@
 include /usr/share/dpkg/architecture.mk
 
 %:
-	dh $@ --with kde --with pkgkde_symbolshelper
+	dh $@ --with pkgkde_symbolshelper
 
-ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
+ifneq (,$(filter $(DEB_HOST_ARCH), amd64 arm64 armel armhf hurd-i386 i386 loong64 mips64el powerpc ppc64 ppc64el riscv64 sparc64 s390x))
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf build-Qt6
